#!/usr/bin/perl -w

use strict;
use CGI;
use LWP::Simple;
use XML::RSS;

# Configuration
my $rss_url     = 'http://del.icio.us/rss/tvset'; # del.icio.us feed URL
my $rss_file    = '/tmp/linkblog.rss';            # temporary local file
my $htm_file    = '/tmp/linkblog.html';           # resulting HTML file
my $links_limit = 15;                             # number of links to output

my $rc = getstore($rss_url,$rss_file);
if (is_success($rc)) {
	my $rss = XML::RSS->new();
	my $cgi = CGI->new();
	$rss->parsefile($rss_file);
	my $result = '';
	foreach my $item (@{$rss->{'items'}}) {
		last unless ($links_limit--);
		$result .= $cgi->a({href=>$item->{'link'},title=>$item->{'dc'}->{'subject'}},$item->{'title'}) . $cgi->br() . "\n";
	}
	open (OUT, ">$htm_file") or die "Couldn't open $htm_file : $!\n";
	print OUT $result;
	close(OUT);
}
else {
	die "Failed to get RSS. HTTP Error code: $rc\n";
}
